@echo OFF
REM === MANDATORY SETTINGS ===
REM Set your email address of the hconnect account
SET ACCOUNT=name@email.com
REM Set the password of the hconnect account
SET PASSWORD=SuperSecret
REM Set the ip address or hostname of your homematic central unit
SET CCU_ADDR=10.5.5.5
REM Set the local ip address or hostname where the hconnect gateway is installed
SET HOST_IP=10.5.5.55
REM Set the public ip address where the hconnect gateway is reachable at or use 0.0.0.0 to identify this address automatically
SET PUBLIC_ADDR=0.0.0.0
REM Set the local port where the hconnect gateway should listen on
SET PORT=8088
REM Set the public port where the hconnect gateway could be reached at
REM Afterwards configure a port forwarding at your router from the internet to the local address (HOST_IP) to the local port (PORT) 
SET PUBLIC_PORT=8760
REM Set the local port where the Rpc event listener should listen on (No Port forwarding needed for this, but required to set)
SET XMLRPC_PORT=8764
REM Set the local port where the BinRpc event listener should listen on (No Port forwarding needed for this, but required to set)
SET BINXMLRPC_PORT=8765
REM === DEFAULT SETTINGS, SHOULD KEPT UNCHANGED ==
SET XMLRPC_ADDR=%HOST_IP%
SET BINXMLRPC_ADDR=%HOST_IP%
SET HOST_MODE=Selfhosted
SET BACKEND_URL=https://hconnect.deike.cc
REM === DO NOT MODIFY ===
SET URL=http://*:%PORT%
SET PUBLIC_URL=http://%PUBLIC_ADDR%:%PUBLIC_PORT%
SET ASPNETCORE_ENVIRONMENT=%HOST_MODE%
SET ASPNETCORE_URLS=%URL%
SET Configuration__ServiceProviderAccount=%ACCOUNT%
SET HConnectGatewaySecret=%PASSWORD%
SET Configuration__ServiceProviderUrl=%BACKEND_URL%
SET Configuration__HomematicHostname=%CCU_ADDR%
SET Configuration__ClientAddress=%PUBLIC_URL%
SET Configuration__DockerHost=%HOST_IP%
SET Network__ExternalAddress=%PUBLIC_ADDR%:%PUBLIC_PORT%
SET Network__LocalAddress=%HOST_IP%:%PORT%
SET Network__RpcPorts__0=%XMLRPC_PORT%
SET Network__RpcPorts__1=%BINXMLRPC_PORT%
SET ApiClients__BackendApiClient__BaseUrl=https://hconnect.deike.cc
REM === START GATEWAY ===
dotnet HConnectGateway.dll